(SQLite 3.8.3 or later is required (found 3.7.17

سلام وقت بخیر

من پروژه جنگو رو تو cpanel آپلود کردم و تمامی پکیج های های مورد نیازم رو نصب کردم
الان میخوام فایل های استاتیک رو کالکت کنم python manage.py collectstatic منتها این ارور رو میگیرم

دیتابیس پروژم sqlite3

SQLite 3.8.3 or later is required (found 3.7.17

ورژن بالاتر میخواد آپدیت هم نمیشه کلا

برای رفعشم تو اینترنت جستجو کردم راه حل مناسبی پیدا نکردم

وقت بخیر
شاید هم فضای کاملی برای ابدیت ندارید فضای
ممنون میشم متن خطارا نشون بدید دقیقا چه خطایی میده
موفق پیروز باشید

این مورد رو نمی تونید روی محیط اشتراکی فراهم کنید.
می بایست سرور مجازی تهیه کنید تا با دسترسی root این مقادیر رو نصب کنید.

در محیط اشتراکی هر چیزی که مدیر سرور برای شما تعیین کرده رو میشه استفاده کرد. معمولا این موارد باید قبل از اینکه سرویس رو تهیه کنید بپرسید.

پایتون در هاست اشتراکی قابل اجرا است اما خوب پایتون چندین روش پیاده سازی و پیش نیاز های مختلف داره که در خرید سرویس می بایست دقت کنید. به نظر من کسی که با پایتون، رابی و یا دیجانگو سرو کار داره به هیچ وجه دور سرویس اشتراکی نباید بره. دسترسی محدود هست.

1 Like